Skip to main content
GET
/
links
/
{linkId}
Find a link by its id
curl --request GET \
  --url https://api.leanpay.fr/v1/public/links/{linkId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "creditNoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "date": "2023-12-25",
  "externalId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

Id of the link

Response

Found link

id
string<uuid>
tenantId
string<uuid>
invoiceId
string<uuid>
creditNoteId
string<uuid>
amount
integer
date
string<date>
externalId
string | null
createdAt
string<date-time>
updatedAt
string<date-time>